Surf Trader Leaderboard
curl --request POST \
--url https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 20,
"min_account_age_days": 0,
"min_days_active": 0,
"min_human_score": 0,
"min_trades": 5,
"offset": 0,
"sort_by": "total_pnl",
"time_range": "all"
}
'import requests
url = "https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard"
payload = {
"limit": 20,
"min_account_age_days": 0,
"min_days_active": 0,
"min_human_score": 0,
"min_trades": 5,
"offset": 0,
"sort_by": "total_pnl",
"time_range": "all"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 20,
min_account_age_days: 0,
min_days_active: 0,
min_human_score: 0,
min_trades: 5,
offset: 0,
sort_by: 'total_pnl',
time_range: 'all'
})
};
fetch('https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 20,
'min_account_age_days' => 0,
'min_days_active' => 0,
'min_human_score' => 0,
'min_trades' => 5,
'offset' => 0,
'sort_by' => 'total_pnl',
'time_range' => 'all'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard"
payload := strings.NewReader("{\n \"limit\": 20,\n \"min_account_age_days\": 0,\n \"min_days_active\": 0,\n \"min_human_score\": 0,\n \"min_trades\": 5,\n \"offset\": 0,\n \"sort_by\": \"total_pnl\",\n \"time_range\": \"all\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 20,\n \"min_account_age_days\": 0,\n \"min_days_active\": 0,\n \"min_human_score\": 0,\n \"min_trades\": 5,\n \"offset\": 0,\n \"sort_by\": \"total_pnl\",\n \"time_range\": \"all\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 20,\n \"min_account_age_days\": 0,\n \"min_days_active\": 0,\n \"min_human_score\": 0,\n \"min_trades\": 5,\n \"offset\": 0,\n \"sort_by\": \"total_pnl\",\n \"time_range\": \"all\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Surf
Surf Trader Leaderboard
Surf Trader Leaderboard
<!-- aisa-pricing:start -->
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
surf
/
hyperliquid
/
leaderboard
Surf Trader Leaderboard
curl --request POST \
--url https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 20,
"min_account_age_days": 0,
"min_days_active": 0,
"min_human_score": 0,
"min_trades": 5,
"offset": 0,
"sort_by": "total_pnl",
"time_range": "all"
}
'import requests
url = "https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard"
payload = {
"limit": 20,
"min_account_age_days": 0,
"min_days_active": 0,
"min_human_score": 0,
"min_trades": 5,
"offset": 0,
"sort_by": "total_pnl",
"time_range": "all"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 20,
min_account_age_days: 0,
min_days_active: 0,
min_human_score: 0,
min_trades: 5,
offset: 0,
sort_by: 'total_pnl',
time_range: 'all'
})
};
fetch('https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 20,
'min_account_age_days' => 0,
'min_days_active' => 0,
'min_human_score' => 0,
'min_trades' => 5,
'offset' => 0,
'sort_by' => 'total_pnl',
'time_range' => 'all'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard"
payload := strings.NewReader("{\n \"limit\": 20,\n \"min_account_age_days\": 0,\n \"min_days_active\": 0,\n \"min_human_score\": 0,\n \"min_trades\": 5,\n \"offset\": 0,\n \"sort_by\": \"total_pnl\",\n \"time_range\": \"all\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 20,\n \"min_account_age_days\": 0,\n \"min_days_active\": 0,\n \"min_human_score\": 0,\n \"min_trades\": 5,\n \"offset\": 0,\n \"sort_by\": \"total_pnl\",\n \"time_range\": \"all\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 20,\n \"min_account_age_days\": 0,\n \"min_days_active\": 0,\n \"min_human_score\": 0,\n \"min_trades\": 5,\n \"offset\": 0,\n \"sort_by\": \"total_pnl\",\n \"time_range\": \"all\"\n}"
response = http.request(request)
puts response.read_body{
"data": {}
}Request contract
- Method and path: POST /apis/v1/surf/hyperliquid/leaderboard
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/surf/hyperliquid/leaderboard - Runtime facts: 986d7b557d4db8647aee169884ac6410895d723df086210d7e098b01fc34c6c5
{
"operationId": "post_surf_apis_v1_surf_hyperliquid_leaderboard",
"method": "POST",
"path": "/apis/v1/surf/hyperliquid/leaderboard",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"additionalProperties": false,
"properties": {
"dex": {
"enum": [
"main_dex",
"xyz",
"flx",
"vntl",
"hyna",
"km",
"abcd",
"cash",
"para",
"mkts"
],
"type": "string"
},
"limit": {
"default": 20,
"maximum": 100,
"minimum": 1,
"type": "integer"
},
"min_account_age_days": {
"default": 0,
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"min_days_active": {
"default": 0,
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"min_human_score": {
"default": 0,
"maximum": 100,
"minimum": 0,
"type": "integer"
},
"min_trades": {
"default": 5,
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"offset": {
"default": 0,
"maximum": 9007199254740991,
"minimum": 0,
"type": "integer"
},
"sort_by": {
"default": "total_pnl",
"enum": [
"total_pnl",
"win_rate",
"volume_traded"
],
"type": "string"
},
"time_range": {
"default": "all",
"enum": [
"1d",
"7d",
"30d",
"90d",
"all"
],
"type": "string"
}
},
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"estimate_source": "unavailable",
"estimate_unavailable_reason": "reference_request_unavailable",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
A request reference price is not currently available; use a request quote where supported. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
main_dex, xyz, flx, vntl, hyna, km, abcd, cash, para, mkts Required range:
1 <= x <= 100Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 100Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Available options:
total_pnl, win_rate, volume_traded Available options:
1d, 7d, 30d, 90d, all Response
Normalized successful response